> # NAME

> cgGetCompilerIncludeCallback - get the include callback function

> # SYNOPSIS

>       #include <Cg/cg.h>

>       typedef void (*CGIncludeCallbackFunc)( CGcontext context, const char *filename );

>       CGIncludeCallbackFunc cgGetCompilerIncludeCallback( CGcontext context );

> # PARAMETERS

> context

>   The context of the desired include callback function.

> # RETURN VALUES

> Returns the current include callback function.

> Returns NULL if no callback function is set.

> # DESCRIPTION

> cgGetCompilerIncludeCallback returns the current callback function used for handing include statements.

> # EXAMPLES

>       CGIncludeCallbackFunc includeCB = cgGetCompilerIncludeCallback(context);

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgGetCompilerIncludeCallback was introduced in Cg 2.1.

> # SEE ALSO

> cgSetCompilerIncludeCallback, cgSetCompilerIncludeString, cgSetCompilerIncludeFile